<template>
    <div class="group_picker">
        <div class="lines">
            <div class="line-1" :class="[{hover: category1}]"></div>
            <div class="line-2" :class="[{hover: category2}]"></div>
            <div class="line-3" v-if="selectedAbstract != 3" :class="[{hover: category3}]"></div>
            <div class="line-4" v-if="selectedAbstract != 3" :class="[{hover: category4}]"></div>
        </div>
        <div class="retreat" :class="[{on: mode == 1}]" @click="retreat()">
            <i class="fa fa-long-arrow-alt-left"></i>
        </div>
        <div class="categories">
            <div class="categories-abstract" :class="[{off: mode == 1}]">
                <div class="category" @click="setCategory(1)" @mouseover="category1 = true" @mouseleave="category1 = false">
                    {{ categoryAbstract(1) }} {{ classStr }}
                </div>
                <div class="category" @click="setCategory(2)" @mouseover="category2 = true" @mouseleave="category2 = false">
                    {{ categoryAbstract(2) }} {{ classStr }}
                </div>
                <div class="category" @click="setCategory(3)" @mouseover="category3 = true" @mouseleave="category3 = false">
                    {{ categoryAbstract(3) }} {{ classStr }}
                </div>
                <div class="category" @click="goto(`/${lang}/fourth_category`)" @mouseover="category4 = true" @mouseleave="category4 = false">
                    {{ categoryAbstract(4) }}
                </div>
            </div>
            <div class="categories-exact" :class="[{on: mode == 1}]">
                <div class="category" @click="visitCategory(1)" @mouseover="category1 = true" @mouseleave="category1 = false">
                    {{ categoryExact(1) }} {{ classStr }}
                </div>
                <div class="category" @click="visitCategory(2)" @mouseover="category2 = true" @mouseleave="category2 = false">
                    {{ categoryExact(2) }} {{ classStr }}
                </div>
                <div class="category" @click="visitCategory(3)" @mouseleave="category3 = false">
                    {{ categoryExact(3) }} {{ classStr }}
                </div>
                <div class="category" @click="visitCategory(4)" v-if="selectedAbstract != 3" @mouseover="category4 = true" @mouseleave="category4 = false">
                    {{ categoryExact(4) }} {{ classStr }}
                </div>
            </div>
        </div>
    </div>
</template>

<script>
export default {
    props: {
        classStr: {
            required: true
        },
        othersStr: { 
            required: true 
        },
        lang: {
            required: true
        },
    },
    data() {
        return {
            mode: 0,
            selectedAbstract: 0,//selected group
            category1: false,
            category2: false,
            category3: false,
            category4: false,
        }
    },
    methods: {
        categoryAbstract (id) {
            switch (id) {
                case 1:
                    return "1-4"
                break;
                case 2:
                    return "5-8"
                break;
                case 3:
                    return "9-11"
                break;
                case 4:
                    return this.othersStr
                break;
            }
        },
        categoryExact (id) {
            switch(this.selectedAbstract) {
                case 1:
                    switch (id) {
                        case 1:
                            return "1"
                        break;
                        case 2:
                            return "2"
                        break;
                        case 3:
                            return "3"
                        break;
                        case 4:
                            return "4"
                        break;
                    }
                break;
                case 2:
                    switch (id) {
                        case 1:
                            return "5"
                        break;
                        case 2:
                            return "6"
                        break;
                        case 3:
                            return "7"
                        break;
                        case 4:
                            return "8"
                        break;
                    }
                break;
                case 3:
                    switch (id) {
                        case 1:
                            return "9"
                        break;
                        case 2:
                            return "10"
                        break;
                        case 3:
                            return "11"
                        break;
                    }
                break;
            }
        },
        setCategory (id) {
            this.selectedAbstract = id
            this.mode = 1
        },
        retreat () {
            this.mode = 0
        },
        goto(link) {
            window.location.href = link
        },
        visitCategory (id) {
            if (this.selectedAbstract == 1) {
                this.goto(`/${this.lang}/first_category/${id}`);
            }
            if (this.selectedAbstract == 2) {
                this.goto(`/${this.lang}/second_category/${id+4}`);
            }
            if (this.selectedAbstract == 3) {
                this.goto(`/${this.lang}/third_category/${id+8}`);
            }
        }
    }
}
</script>

<style>

</style>